%some parts of these codes are copied from Dan Spielman's course on spectral
%graph theory
function [a,E,V]=imgeig(img, k, support)
    if (nargin<=2)
        support=1;
    end
    [a]=imgseg(img,support);
    %a
    s2=sparse(1./sqrt(sum(a)));
    %s2
   % min(s2)
    %max(s2)
    %mean(s2)
    %var(s2)
    %s2'
    
    d2=diag(s2);
    
    L=speye(length(a))*(1+1e-10) - d2 * a *d2;

    [E,V] = eigs(L,k,'SM');%f, length(a), k);
    %size(evec)
    %size(d2)
    E=d2*E;
end